Bug 1148830 - shell hangs if setting variable from command that produces more than 120k and is piped
Summary: shell hangs if setting variable from command that produces more than 120k and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh
Version: 6.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On: 1138751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-02 13:26 UTC by Jan Kurik
Modified: 2018-12-09 18:44 UTC (History)
10 users (show)

Fixed In Version: ksh-20120801-10.el6_5.12
Doc Type: Bug Fix
Doc Text:
Previously, the KornShell became unresponsive when setting a variable from a command that produced more than 120 k and was then piped. A patch has been applied to fix this bug, and KornShell now executes commands correctly.
Clone Of: 1138751
Environment:
Last Closed: 2014-10-13 11:21:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1395 normal SHIPPED_LIVE ksh bug fix update 2014-10-13 15:21:44 UTC

Description Jan Kurik 2014-10-02 13:26:32 UTC
This bug has been copied from bug #1138751 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 5 Paulo Andrade 2014-10-07 21:58:20 UTC
I confirm the correction under qa corrects sfdc 01231394.

I noticed this problem in customer portal 01231394 also
happens in fedora 20, but I believe a backport of the
correction here should be added there.

Comment 8 errata-xmlrpc 2014-10-13 11:21:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1395.html


Note You need to log in before you can comment on or make changes to this bug.